Subject: Re: [PATCH v2 00/12] fsmonitor: Implement fsmonitor for Linux

From: Junio C Hamano <[email-masked]>
Date: Tue, 18 Oct 2022 10:11:36 -0700

Glen Choo <[email-masked]> writes:

> I wished we had caught it sooner too. The folks here generally agree
> that our weekly release cycle is not ideal for reasons such as this.
> Hopefully this is good motivation to move that work forward, though I
> can't promise anything right now.

It is perfectly OK to have an automated trial build job that runs
more frequently than your weekly release cycle, though.  It should
usually yield only a single bit of usable information (e.g. "there
is no 'does not even build from the source' issue in upstream") that
may give you assurance (e.g. "if we maintain the course, the next
real build for release would hopefully go smoothly"), but when it
breaks, you have more time to react.

Thanks.